<?
//Anexo de librerias, clases y Banner
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();               ///Clase Sesión
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
FEncabezado($Nivel);
///Datos de la acción
$Fecha=date("Y-m-d");
$Hora=date("H:i:s");
$Ip=$HTTP_X_FORWARDED_FOR;
if ($Ip=='')  $Ip=$REMOTE_ADDR;
/*Obtenemos los valores por get*/
 $numero = count($_GET);
     $tags = array_keys($_GET);	
	 $valores = array_values($_GET); 
	  // crea las variables y les asigna el valor
      for($i=0;$i<$numero;$i++){
      $$tags[$i]=$valores[$i];
       }

if (!$S_Menu[1][1] || $_SESSION["Tipo"]!='A')
{   FAccesoDenegado('../');
    exit();
}

if ($UsuarioId && $_SESSION["IdUsuario"]==$UsuarioId)
{   FAccesoDenegado('../');
    exit();
}


if ($UsuarioId)
   $RowUsuario=$Conexion->MSelectRegistro("Select * from Usuarios where IdUsuario=$UsuarioId");

FTitulo("MÓDULOS","Center");

if ($Actualizar){
     $Conexion->MEjecutarSQL("Delete from UsuariosModulos where IdUsuario=$UsuarioId");
     for ($x=0;$x<$Contador;$x++)
        {
            $NombreCampo="CheckIdModulo".$x;
             if ($$NombreCampo){
                   $Consulta="Insert into UsuariosModulos(IdUsuario,IDMODULO, IDSISTEMA) VALUES ($UsuarioId,".$$NombreCampo.",2)";
				   $Conexion->MEjecutarSQL($Consulta);
                }
        }
		
        ///alamcenar accion en tabla ControlUsuarios

    $DescripcionAccion="ACTUALIZÓ LOS MÓDULOS DEL USUARIO $RowUsuario[Nombre]";
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values
                     (".$_SESSION["IdUsuario"].",'$DescripcionAccion','$Fecha','$Hora','$Ip','UsuariosModulos',$UsuarioId)";
    $Conexion->MEjecutarSQL($ConsultaAccion);
	
			
  FMensajeScript("LOS MÓDULOS PARA EL USUARIO SE ACTUALIZARON SATISFACTORIAMENTE","UsuarioModulos.php?IdUsuario=$UsuarioId");
  exit();
}

?>
<form action="UsuarioModulos.php" name="Formulario" method="post">
<input type="hidden" name="IdUsuario" value="<?php echo $UsuarioId?>">
  <table width="99%" border="0" cellspacing="1" cellpadding="1">
    <tr> 
      <td width="26%" height="30">
<div align="right"><strong>USUARIO :</strong></div></td>
      <td width="74%" height="30"><strong><?php echo $RowUsuario[Nombre] ?></strong></td>
  </tr>
  <tr>
    <td height="38">&nbsp;</td>
      <td><strong>SELECCIONE LOS TR&Aacute;MITES A ELABORAR POR EL USUARIO</strong></td>
  </tr>
</table>
<table width="42%" border="0" align="center" cellpadding="1" cellspacing="1">
    <tr bgcolor="<?php echo $_CCT?>"> 
    <td width="7%">&nbsp;</td>
    <td width="8%">&nbsp;</td>
    <td width="85%" height="25"><strong>TR&Aacute;MITE</strong></td>
  </tr>
  <?php 
   $Consulta="SELECT * FROM Modulos ORDER BY Orden ASC";
   $Resultado=$Conexion->MVectorRegistro($Consulta);
   $Registros=mysql_fetch_array($Resultado);
   $Contador=0;
   $i=0;
   do{
     $NombreCampo='CheckIdModulo'.$Contador;	
	 if ($Registros[IdModulo])
	   $RowActivado=$Conexion->MSelectRegistro("Select * from UsuariosModulos where IdUsuario=$UsuarioId and IdModulo=$Registros[IdModulo]");
	 
	 if ($RowActivado)
	    $Checked="  checked ";
     else
	 	$Checked="";	
		//echo ""; 
		//echo $RowModulos[IdModulo];
     echo '<tr bgcolor="'.$_CCC[$i].'">
	 <td ><DIV ALIGN="CENTER"><img src="../Imagenes/'.$Registros[IdModulo].'.jpg" border="0"></div></td>
			  <td><div align="center"><input type="checkbox" name="'.$NombreCampo.'" value="'.$Registros[IdModulo].'" '.$Checked.'></div></td>
			  <td>'.$Registros[Descripcion].'</td>
		  </tr>';  
	  $i=!$i;
	  $Contador++;
   }while ($Registros=mysql_fetch_array($Resultado));
?>
  <tr>
    <td colspan="2">&nbsp;</td>
    <td>
	<input type="hidden" name="Contador" value="<?php echo $Contador?>">
        &nbsp; 
        <?php 
		FActualizacion('UsuariosModulos',$UsuarioId,$Conexion->Link);echo '<br>';
		$Formulario->MBotonEnviar("Actualizar","","2");
	echo '&nbsp;&nbsp;<a href="Usuarios.php?IdUsuario='.$UsuarioId.'"><strong>[ REGRESAR ]</strong></a>';
	?>      </td>
 </tr>
</table>
<p>&nbsp;</p></form>